Generate message ID that you can use for batch contacts
curl --request GET \
--url https://{host}/api/{session}/status/new-message-id \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/status/new-message-id"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/status/new-message-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "3EB0796F91D8B2A4E053AC100F0A4D1E"
}
Status
Generate Message ID for Grouping Contacts
Generate unique message ID for grouping contacts when sending status
GET
/
api
/
{session}
/
status
/
new-message-id
Generate message ID that you can use for batch contacts
Description
This endpoint generates a unique message ID that can be used to group contacts when sending status (stories) on WhatsApp. The generated ID allows you to send the same status to different groups of contacts in an organized way.URL Parameters
string
required
Unique authenticated session ID
Response
string
required
Unique message ID generated for grouping contacts
{
"messageId": "3EB0796F91D8B2A4E053AC100F0A4D1E"
}
Status Codes
200- Message ID generated successfully400- Invalid parameters401- Unauthorized
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/status/new-message-id
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/status/new-message-id`);
const data = await response.json();
console.log(data.messageId);
import requests
session = 'my-session'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/status/new-message-id')
data = response.json()
print(data['messageId'])
Notes
- The generated message ID can be reused to send the same status to multiple groups of contacts
- Status are temporary content (Stories) on WhatsApp that disappear after 24 hours
- Use this ID in conjunction with the status send endpoints to organize your publications
